org.apache.poi.ss.formula.udf

## Class IndexedUDFFinder

- java.lang.Object
- - org.apache.poi.ss.formula.udf.AggregatingUDFFinder
  - - org.apache.poi.ss.formula.udf.IndexedUDFFinder

- All Implemented Interfaces:
    UDFFinder

      @Internal
      public class IndexedUDFFinder
      extends AggregatingUDFFinder

  A UDFFinder that can retrieve functions both by name and by fake index.
  Author:
    Yegor Kozlov

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.ss.formula.udf.AggregatingUDFFinder

      `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexedUDFFinder(UDFFinder... usedToolPacks)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FreeRefFunction` | `findFunction(java.lang.String name)` Returns executor by specified name.
    `int` | `getFunctionIndex(java.lang.String name)`
    `java.lang.String` | `getFunctionName(int idx)`

    - ### Methods inherited from class org.apache.poi.ss.formula.udf.AggregatingUDFFinder

      `add`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexedUDFFinder

          public IndexedUDFFinder(UDFFinder... usedToolPacks)

  - ### Method Detail

    - #### findFunction

          public FreeRefFunction findFunction(java.lang.String name)

      Description copied from class: `AggregatingUDFFinder`
      Returns executor by specified name. Returns `null` if function isn't contained by any registered tool pack.
      Specified by:
        `findFunction` in interface `UDFFinder`
      Overrides:
        `findFunction` in class `AggregatingUDFFinder`
      Parameters:
        `name` - Name of function.
      Returns:
        Function executor. `null` if not found

    - #### getFunctionName

          public java.lang.String getFunctionName(int idx)

    - #### getFunctionIndex

          public int getFunctionIndex(java.lang.String name)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.